automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

testsuite: SKIP compile tests if configure found no compiler.


From: Ralf Wildenhues
Subject: testsuite: SKIP compile tests if configure found no compiler.
Date: Sat, 7 Mar 2009 01:47:59 +0100
User-agent: Mutt/1.5.18 (2008-05-17)

configure nicely exits 77 if the first compiler test failed; so let's
use that to skip those tests that otherwise fail due to this.

Pushed both branches.

Cheers,
Ralf

        testsuite: SKIP compile tests if configure found no compiler.

        * tests/depend6.test: configure will exit 77 if AC_PROG_CC found
        no working compiler.  Allow the test to be SKIPped in that case.
        * tests/postproc.test: Likewise.
        * tests/pr243.test: Likewise.
        * tests/pr266.test: Likewise.

diff --git a/tests/depend6.test b/tests/depend6.test
index 6a1595c..7a1f722 100755
--- a/tests/depend6.test
+++ b/tests/depend6.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2008  Free Software Foundation, Inc.
+# Copyright (C) 2008, 2009  Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -39,7 +39,9 @@ END
 $ACLOCAL
 $AUTOMAKE
 $AUTOCONF
-./configure --disable-dependency-tracking 2>stderr || { cat stderr >&2; Exit 
1; }
+./configure --disable-dependency-tracking 2>stderr || {
+  stat=$?; cat stderr >&2; Exit $stat;
+}
 cat stderr >&2
 grep shift stderr && Exit 1
 :
diff --git a/tests/postproc.test b/tests/postproc.test
index 254c936..dff60fc 100755
--- a/tests/postproc.test
+++ b/tests/postproc.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2002, 2004  Free Software Foundation, Inc.
+# Copyright (C) 2002, 2004, 2009  Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -40,7 +40,7 @@ mv myMakefile.in myMakefile.old
 echo '# Post-processed by post-processor 3.14.' > myMakefile.in
 cat myMakefile.old >> myMakefile.in
 
-./configure || Exit 1
+./configure || Exit $?
 
 test -f .deps/fred.Po || test -f _deps/fred.Po || Exit 1
 
diff --git a/tests/pr243.test b/tests/pr243.test
index 1a66e8e..516665e 100755
--- a/tests/pr243.test
+++ b/tests/pr243.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 2001, 2002, 2009  Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -40,6 +40,6 @@ END
 $ACLOCAL || Exit 1
 $AUTOMAKE || Exit 1
 $AUTOCONF || Exit 1
-./configure || Exit 1
+./configure || Exit $?
 
 test -f .deps/fx64.Po
diff --git a/tests/pr266.test b/tests/pr266.test
index e3fd582..2b4ca1f 100755
--- a/tests/pr266.test
+++ b/tests/pr266.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 2001, 2002, 2009  Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -38,6 +38,6 @@ END
 $ACLOCAL || Exit 1
 $AUTOMAKE || Exit 1
 $AUTOCONF || Exit 1
-./configure || Exit 1
+./configure || Exit $?
 
 test -f .deps/fx64.Po




reply via email to

[Prev in Thread] Current Thread [Next in Thread]